/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.fidentis.analyst.gui;

import javax.swing.event.TableModelListener;
import javax.swing.table.DefaultTableModel;

/**
 *
 * @author Matej Kovar
 */
public class DefaultModelsTableModel extends DefaultTableModel {

    public DefaultModelsTableModel(Object[] columnNames, int rowCount) {
        super(columnNames, rowCount);
    }


    private Class[] types = new Class [] {
        java.lang.Boolean.class, java.lang.Object.class, java.lang.Boolean.class
    };

    private boolean[] canEdit = new boolean [] {
        true, false, false
    };

    @Override
    public Class getColumnClass(int columnIndex) {
        return types [columnIndex];}

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        return canEdit [columnIndex];
    }
    public Class[] getTypes() {
        return types;}

    public void setTypes(Class[] types) {
        this.types = types;}

    public boolean[] getCanEdit() {
        return canEdit;}

    public void setCanEdit(boolean[] canEdit) {
        this.canEdit = canEdit;
    }
}
